﻿Imports System.Web.Security
Partial Class Login_VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        lnkLogOut.Visible = Membership.GetUser() IsNot Nothing
    End Sub

    Protected Sub Login(ByVal sender As Object, ByVal e As EventArgs)
        If Membership.ValidateUser(txtUserName.Text, txtPassword.Text) Then
            If chkRememberMe.Checked Then
                Dim authTicket As FormsAuthenticationTicket = New FormsAuthenticationTicket(txtUserName.Text, True, (12 * 60))
                Dim encryptedTicket As String = FormsAuthentication.Encrypt(authTicket)
                Dim cookie As HttpCookie = New HttpCookie(FormsAuthentication.FormsCookieName, encryptedTicket)
                cookie.Expires = authTicket.Expiration
                HttpContext.Current.Response.Cookies.Set(cookie)
            Else
                FormsAuthentication.SetAuthCookie(txtUserName.Text, False)
            End If
            Response.Redirect(Request.Url.AbsoluteUri)
        End If
    End Sub

    Protected Sub Logout(ByVal sender As Object, ByVal e As EventArgs)
        FormsAuthentication.SignOut()
        Response.Redirect("~/Login_VB.aspx")
    End Sub
End Class
